Design Templates
Get a design template
Don't see what you need?
This API is still growing. If an endpoint, parameter, or filter you need isn't here yet — or you just have a question — tell us. We read every message and regularly add new capabilities based on real use cases from customers like you.
Retrieves the details of an existing design template by its ID.
Authorization
BearerAuth AuthorizationBearer <token>
Provide your access token in the Authorization header with Bearer auth-scheme. You can view and manage your access tokens in the Certifier Dashboard.
In: header
Path Parameters
id*string
The unique ID of the design template
Header Parameters
Certifier-Version*string
API version header. Required for all requests.
Default
"2022-10-26"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/designs/string" \ -H "Certifier-Version: 2022-10-26"{ "id": "string", "name": "string", "type": "certificate", "previewUrl": "http://example.com", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}